src/test/resources/golden-sample/configure2

changeset 40
b42bfc9e9983
parent 39
3ca85da78515
child 46
096f3105b3b1
--- a/src/test/resources/golden-sample/configure2	Wed Sep 06 21:08:04 2023 +0200
+++ b/src/test/resources/golden-sample/configure2	Wed Sep 06 22:55:42 2023 +0200
@@ -312,27 +312,21 @@
     echo no
     return 1
 }
-dependency_test()
+dependency_gtk2()
 {
-    printf "checking for test... "
-    # dependency test platform="bsd"
+    printf "checking for gtk2... "
+    # dependency gtk2
     while true
     do
-        if isnotplatform "bsd"; then
+        if [ -z "$PKG_CONFIG" ]; then
             break
         fi
-        if isplatform "macos"; then
+        $PKG_CONFIG gtk+-2.0
+        if [ $? -ne 0 ] ; then
             break
         fi
-        TEMP_CFLAGS="$TEMP_CFLAGS -DBSD"
-        echo yes
-        return 0
-    done
-
-    # dependency test
-    while true
-    do
-        TEMP_CFLAGS="$TEMP_CFLAGS -DTEST"
+        TEMP_CFLAGS="$TEMP_CFLAGS `$PKG_CONFIG --cflags gtk+-2.0`"
+        TEMP_LDFLAGS="$TEMP_LDFLAGS `$PKG_CONFIG --libs gtk+-2.0`"
         echo yes
         return 0
     done
@@ -362,21 +356,27 @@
     echo no
     return 1
 }
-dependency_gtk2()
+dependency_test()
 {
-    printf "checking for gtk2... "
-    # dependency gtk2
+    printf "checking for test... "
+    # dependency test platform="bsd"
     while true
     do
-        if [ -z "$PKG_CONFIG" ]; then
+        if isnotplatform "bsd"; then
+            break
+        fi
+        if isplatform "macos"; then
             break
         fi
-        $PKG_CONFIG gtk+-2.0
-        if [ $? -ne 0 ] ; then
-            break
-        fi
-        TEMP_CFLAGS="$TEMP_CFLAGS `$PKG_CONFIG --cflags gtk+-2.0`"
-        TEMP_LDFLAGS="$TEMP_LDFLAGS `$PKG_CONFIG --libs gtk+-2.0`"
+        TEMP_CFLAGS="$TEMP_CFLAGS -DBSD"
+        echo yes
+        return 0
+    done
+
+    # dependency test
+    while true
+    do
+        TEMP_CFLAGS="$TEMP_CFLAGS -DTEST"
         echo yes
         return 0
     done

mercurial